package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class LogSicuraScheduler.
 * @see sicura.entities.LogSicuraScheduler
 * @author Hibernate Tools
 */
@Stateless
public class LogSicuraSchedulerHome {

	private static final Log log = LogFactory.getLog(LogSicuraSchedulerHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(LogSicuraScheduler transientInstance) {
		log.debug("persisting LogSicuraScheduler instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(LogSicuraScheduler persistentInstance) {
		log.debug("removing LogSicuraScheduler instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public LogSicuraScheduler merge(LogSicuraScheduler detachedInstance) {
		log.debug("merging LogSicuraScheduler instance");
		try {
			LogSicuraScheduler result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public LogSicuraScheduler findById(Integer id) {
		log.debug("getting LogSicuraScheduler instance with id: " + id);
		try {
			LogSicuraScheduler instance = entityManager.find(LogSicuraScheduler.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
